Skip to main content
GET
/
proposals
/
templates
List templates
curl --request GET \
  --url https://services.leadconnectorhq.com/proposals/templates \
  --header 'Authorization: Bearer <token>' \
  --header 'Version: <version>'
{
  "data": [
    {
      "_id": "685d11c371c22e636e9c04b2",
      "deleted": false,
      "version": 2,
      "name": "New Template",
      "locationId": "5rORm9p7RtxWQPzBIbTG",
      "type": "proposal",
      "updatedBy": "K9PSPnWjfNoE8DCf5LJZ",
      "isPublicDocument": true,
      "createdAt": "2025-06-26T09:24:19.305Z",
      "updatedAt": "2025-06-26T09:27:32.119Z",
      "id": "685d11c371c22e636e9c04b2",
      "documentCount": 0,
      "docFormUrl": "https://sendlink.co/documents/doc-form/685d11c371c22e636e9c04b2?locale=en_US"
    }
  ],
  "total": 2,
  "traceId": "d5656876-86a5-46fb-84df-788f1da7937a"
}

Authorizations

Authorization
string
header
required

Access Token or Private Integration Token

Headers

Authorization
string
required

Access Token

Example:

"Bearer 9c48df2694a849b6089f9d0d3513efe"

Version
enum<string>
required

API Version

Available options:
2021-07-28

Query Parameters

locationId
string
required

Location Id

Example:

"jhg64gjhb436fv"

dateFrom
string

Date start from (ISO 8601)

Example:

"2025-02-03T18:30:00.000Z"

dateTo
string

Date to (ISO 8601)

Example:

"2025-02-14T18:29:59.999Z"

type
string

Comma-separated template types. Valid values: proposal, estimate, contentLibrary

Example:

"proposal,estimate"

name
string

Template Name

Example:

"Template Name"

isPublicDocument
boolean

If the docForm is a DocForm

Example:

false

userId
string

User Id, required when isPublicDocument is true

Example:

"1234567890"

limit
string

Limit

Example:

"10"

skip
string

Skip

Example:

"0"

Response

Templates fetched successfully

data
object[]
required

Array of templates

total
number
required

Total number of templates

Example:

2

traceId
string

Trace ID for request tracking

Example:

"d5656876-86a5-46fb-84df-788f1da7937a"

Last modified on March 7, 2026